Bug 719214 - Non-ASCII characters are not presented properly in site navigation
Non-ASCII characters are not presented properly in site navigation
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-06 00:41 EDT by Ruediger Landmann
Modified: 2012-11-06 21:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 21:28:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2011-07-06 00:41:40 EDT
Description of problem:
When Publican presents the translated title of a book in the site table of contents, any non-ASCII characters in the title are garbled. 

Version-Release number of selected component (if applicable):
2.5

How reproducible:
100%

Steps to Reproduce:
1. Install a translated book in a language that uses non-ASCII characters to a Publican-generated website from an RPM package
  
Actual results:
Non-ASCII characters garbled

Expected results:
Non-ASCII characters represented correctly

Additional info:
I confirmed that the characters are garbled in the HTML files on the server; it's not just a server configuration problem. Then I found that the entries for the translated titles were garbled in the sqlite database itself.
Comment 1 Jeff Fearn 2011-07-21 06:36:53 EDT
This should be fixed by 661948, which is in trunk and branches/publican-2x.

Note You need to log in before you can comment on or make changes to this bug.